# $Id: build.mk 353 2015-09-19 16:06:32Z you $
# Copyright (c) 2015 akamoz.jp
# All rights reserved.
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

BASENAME = akamoz-image
CPPSRCS = avistream.cpp readbmp.cpp writebmp.cpp imagebuffer.cpp \
	img-yuy2.cpp imageitor.cpp avistream-init.cpp avistream2.cpp \
	imagebuffer2.cpp videostream.cpp imgbuf-yuv.cpp imgbuf-yuy2.cpp \
	imgbuf-yv12.cpp avisingleif.cpp avistreamproxy.cpp

ifdef AKAMOZ_WIN32
CPPSRCS += vcmdecode.cpp avistream3l.cpp avistream3r.cpp vfwstream.cpp
endif

all: $(DSTPATH)/$(LIBNAME)

$(DSTPATH)/$(LIBNAME): $(ALLOBJS)
	$(MAKE_LIB)
